Bug 126234 - MS PowerPoint relative bullet size over 250% fail to import correctly
Summary: MS PowerPoint relative bullet size over 250% fail to import correctly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: nd101
URL:
Whiteboard: target:6.4.0
Keywords: filter:pptx
Depends on:
Blocks: Impress-Bullet-Number PPTX
  Show dependency treegraph
 
Reported: 2019-07-05 03:25 UTC by nd101
Modified: 2019-08-08 06:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
MS PowerPoint document, different bullet size (33.82 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2019-07-05 03:25 UTC, nd101
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nd101 2019-07-05 03:25:03 UTC
Created attachment 152572 [details]
MS PowerPoint document, different bullet size

When the bullet relative size is set over 250% in MS PowerPoint, it will not work in LO. It is related to Aoo bug https://bz.apache.org/ooo/show_bug.cgi?id=120650 I will submit a fix shortly.
Comment 1 Xisco Faulí 2019-07-09 09:07:28 UTC
Patch in gerrit -> https://gerrit.libreoffice.org/#/c/75189/
Comment 2 Commit Notification 2019-07-11 04:59:12 UTC
nd101 committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d064b51afc84af92f877dc33c683c9521a6cd937%5E%21

tdf#126234 up relative bullet size limit to 400%

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.